Decline a time-off request
curl --request POST \
--url https://a-char.com/api/v1/time-off/requests/{id}/decline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://a-char.com/api/v1/time-off/requests/{id}/decline"
payload = { "note": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://a-char.com/api/v1/time-off/requests/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Time off requests
Decline a time-off request
Declines a pending request with the reason in note, returns its days to the balance and notifies the employee. The caller must be the approver whose turn it is. An admin may decline for the approver whose turn it is, and may decline an approved request, which overrides that decision. Nobody can decline their own request. Requires the time-off:review scope.
POST
/
time-off
/
requests
/
{id}
/
decline
Decline a time-off request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 300Response
200 - application/json
OK